<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>CSS introduction</title>
    <!-- <link rel="stylesheet" type="text/css" href="styles/colors.css"> -->
    <style>
      #first {
        color: red;
        /* border: 8px solid blue; */
        border-width: 8px;
        border-style: solid;
        border-color: blue;
      }

      #second {
        color: orange;
        border: 5px dotted red;
      }

      #third {
        color: blue;
        border: 10px dashed green;
      }

      .paragraph {
        width: 50%;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-weight: bold;
        font-size: 40px;
      }

      #div1 {
        background-color: rgb(22, 55, 154);
      }

      #div2 {
        background-color: rgba(22, 55, 154, 0.8);
      }

      #div3 {
        background-color: rgba(22, 55, 154, 0.4);
      }

      #div4 {
        background-color: rgba(22, 55, 154, 0.2);
      }

      .nested-div {
        width: 300px;
        padding: 40px;
        margin-bottom: 10px;
      }

      .nested-div span {
        color: black;
      }
    </style>
  </head>

  <body>
    <div>
      <p class="paragraph" id="first">Hello World</p>
      <p class="paragraph" id="second">Hello World</p>
      <p class="paragraph" id="third">Hello World</p>
    </div>

    <div>
      <div class="nested-div" id="div1">
        <span>Hello World</span>
      </div>
      <div class="nested-div" id="div2">
        <span>Hello World</span>
      </div>
      <div class="nested-div" id="div3" style="background-color: red">
        <span>Hello World</span>
      </div>
      <div class="nested-div" id="div4">
        <span>Hello World</span>
      </div>
    </div>
  </body>
</html>
